FROM python:3.10

EXPOSE 80

WORKDIR /exercises

COPY ./pyproject.toml ./pyproject.toml
COPY ./README.md      ./README.md
COPY ./src/exercises  ./src/exercises

RUN pip install .

CMD ["uvicorn", "exercises.api:app", "--host", "0.0.0.0", "--port", "80"]
